<?php

/**
 * Componet for creating Fusion Charts XML source in graphic mode.
 * Can create, modified and deleting assorted Fusion Charts. Charts
 * can display on frontend page by module or content plugin.  
 *
 * @version		$Id$
 * @package     ArtioFusioncharts
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved. 
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

$items = array();

$items['lgConfirm'] = JText::_('Вы уверены?');
$items['lgRemove'] = JText::_('Удалить');
$items['lgNoCheckedToRemove'] = JText::_('Выберите то, что хотите удалить');
$items['lgChangeTypeConfirm'] = JText::_('До сохранения Фактические данные не будут изменяться. Продолжить?');
$items['lgErrorMissType'] = JText::_('Выберите тип');
$items['lgSave'] = JText::_('Сохранить');
$items['lgClose'] = JText::_('Выйти');
$items['parOption'] = ARTIOFUSIONCHARTS_OPTION;
$items['setImage'] = ARTIOFUSIONCHARTS_SET_IMAGE;
$items['lgConfig'] = JText::_('Конфигурация');
$items['lgMustAddChartTitle'] = JText::_('Добавить Заголовок Графика');
$items['lgMustAddChartCategory'] = JText::_('Добавить Категорию Графика');
$items['lgMustAddChartType'] = JText::_('Добавить Тип Графика');
$items['lgAddFileSource'] = JText::_('Добавьте источник Файла');
$items['lgSelectImportType'] = JText::_('Выбрать тип импорта');
$items['lgSqlQueryEmpty'] = JText::_('Запрос SQL пуст');
$items['CHART'] = CHART;
$items['juri'] = JURI::base();
$items['sqlQueryFailedDbErrorMessage'] = 'Не удачный запрос SQL. Сообщение ошибки DB: ';
$items['sqlQueryFailed'] = 'Не удачный запрос SQL.';
$items['sqlQueryOk'] = 'Запрос SQL выполнен. Диаграмма была заполнена новыми данными.';
$items['sqlQueryEmpty'] = 'Запрос SQL выполнен, но получился пустой выход.';
$items['lgSelectChartsToCopy'] = JText::_('Выберите диаграммы для копирования.');
$items['lgAddValidCopyCount'] = JText::_('Число копий должно быть больше нуля.');

$js = '';

foreach ($items as $var => $value) {
    $js .= 'var ' . $var . ' = "' . htmlspecialchars($value, ENT_QUOTES) . '";' . "\n";
}

$document = &JFactory::getDocument();
/* @var $document JDocument */
$document->addScriptDeclaration($js);

?>